<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddSelectionEx Method (IEdmBatchGet)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchGet Interface : AddSelectionEx Method (IEdmBatchGet)

Visual Basic
C#
C++/CLI

poVault
  IEdmVault5; vault from which to get the file

lFileID
  ID of file to get

lParentFolderID
  ID of the file's parent folder

oVersionOrFileDate
  Number or modified date of the version of the file to get

Adds a file with the specified ID and version to the batch of files to get.

# Syntax

Visual Basic |
--- | ---

    Sub AddSelectionEx( _
       ByVal poVault As EdmVault5, _
       ByVal lFileID As System.Integer, _
       ByVal lParentFolderID As System.Integer, _
       ByVal oVersionOrFileDate As System.Object _
    )

C# |
--- | ---

    void AddSelectionEx(
       EdmVault5 poVault,
       System.int lFileID,
       System.int lParentFolderID,
       System.object oVersionOrFileDate
    )

C++/CLI |
--- | ---

    void AddSelectionEx(
    &   EdmVault5^ poVault,
    &   System.int lFileID,
    &   System.int lParentFolderID,
    &   System.Object^ oVersionOrFileDate
    )

#### Parameters

poVault
  IEdmVault5; vault from which to get the file
lFileID
  ID of file to get
lParentFolderID
  ID of the file's parent folder
oVersionOrFileDate
  Number or modified date of the version of the file to get

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchGet Interface
IEdmBatchGet Members

# Availability

Version 6.3 of SOLIDWORKS PDM Professional